fuzzydl

## Class LinearlyModifiedConcept

- java.lang.Object
- - fuzzydl.Concept
  - - fuzzydl.ModifiedConcept
    - - fuzzydl.LinearlyModifiedConcept

-     public class LinearlyModifiedConcept
      extends ModifiedConcept

  Fuzzy concept modified with a linear modifier.
  Author:
    Fernando Bobillo

- - ### Field Summary

    - ### Fields inherited from class fuzzydl.Concept

      `ALL, AND, AT_LEAST_VALUE, AT_MOST_VALUE, ATOMIC, BOTTOM, CHOQUET_INTEGRAL, COMPLEMENT, CONCEPT_BOTTOM, CONCEPT_TOP, CONCRETE, CONCRETE_COMPLEMENT, DEFAULT_NAME, EXACT_VALUE, EXT_NEG_THRESHOLD, EXT_POS_THRESHOLD, FUZZY_NUMBER, FUZZY_NUMBER_COMPLEMENT, G_AND, G_IMPLIES, G_OR, HAS_VALUE, L_AND, L_OR, LOOSE_LOWER_APPROX, LOOSE_UPPER_APPROX, LOWER_APPROX, MODIFIED, MODIFIED_COMPLEMENT, NEG_THRESHOLD, NOT_AT_LEAST_VALUE, NOT_AT_MOST_VALUE, NOT_CHOQUET_INTEGRAL, NOT_EXACT_VALUE, NOT_EXT_NEG_THRESHOLD, NOT_EXT_POS_THRESHOLD, NOT_G_IMPLIES, NOT_HAS_VALUE, NOT_NEG_THRESHOLD, NOT_OWA, NOT_POS_THRESHOLD, NOT_QUANTIFIED_OWA, NOT_QUASI_SUGENO_INTEGRAL, NOT_SELF, NOT_SUGENO_INTEGRAL, NOT_W_MAX, NOT_W_MIN, NOT_W_SUM, NOT_W_SUM_ZERO, NOT_WEIGHTED, NOT_Z_IMPLIES, OR, OWA, POS_THRESHOLD, QUANTIFIED_OWA, QUASI_SUGENO_INTEGRAL, SELF, SOME, SUGENO_INTEGRAL, TIGHT_LOWER_APPROX, TIGHT_UPPER_APPROX, TOP, UPPER_APPROX, W_MAX, W_MIN, W_SUM, W_SUM_ZERO, WEIGHTED, Z_IMPLIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinearlyModifiedConcept(Concept c, Modifier mod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Concept` | `complement()` Gets the complement of the concept.
    `Concept` | `replace(Concept a, Concept c)` Gets a new concept by replacing an atomic concept a with a complex concept c.

    - ### Methods inherited from class fuzzydl.ModifiedConcept

      `solveAssertion, solveComplementAssertion, toString`

    - ### Methods inherited from class fuzzydl.Concept

      `all, and, and, atLeastValue, atMostValue, complement, containsNegatedSubconcept, containsSubconcept, equals, exactValue, extendedNegThreshold, extendedPosThreshold, gAnd, gAnd, getAtomicConceptNames, getAtomicConcepts, getRole, getType, getValue, getWeight, getWeightVar, gImplies, gOr, gOr, hasNominals, hasValue, hasValue, isAtomic, isComplementedAtomic, isConcrete, kdImplies, lAnd, lAnd, lImplies, looseLowerApprox, looseUpperApprox, lOr, lOr, lowerApprox, nAry, negThreshold, newAtomicConcept, notHasValue, or, or, posThreshold, removeElement, self, setName, setType, setValue, some, tightLowerApprox, tightUpperApprox, upperApprox, weightedConcept, zImplies`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinearlyModifiedConcept

          public LinearlyModifiedConcept(Concept c,
                                         Modifier mod)

  - ### Method Detail

    - #### complement

          public Concept complement()

      Description copied from class: `ModifiedConcept`
      Gets the complement of the concept.
      Specified by:
        `complement` in class `ModifiedConcept`
      Returns:
        Complement of the concept.

    - #### replace

          public Concept replace(Concept a,
                                 Concept c)
                          throws FuzzyOntologyException

      Description copied from class: `Concept`
      Gets a new concept by replacing an atomic concept a with a complex concept c.
      Specified by:
        `replace` in class `ModifiedConcept`
      Parameters:
        `a` - Atomic concept.
        `c` - Complex concept.
      Returns:
        Complement of the concept.
      Throws:
        `FuzzyOntologyException` - Parsing error.